package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：张腾
 * @Package：com.bwie.auth.controller
 * @Project：Zg6-Week3
 * @name：AuthController
 * @Date：2024/8/6 9:43
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

    @Autowired
    private AuthService authService;

    @PostMapping("/sendMsg")
    public Result sendMsg(@RequestBody LoginRequest loginRequest){
        return authService.sendMsg(loginRequest);
    }

    @PostMapping("/login")
    public Result login(@RequestBody LoginRequest loginRequest){
        return authService.login(loginRequest);
    }

    @GetMapping("/info")
    public Result info(){
        return authService.info();
    }

}
