package com.bwie.auth.feign;

import com.bwie.auth.feign.factory.UserFeignFactory;
import com.bwie.common.constants.Constants;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Author：张腾
 * @Package：com.bwie.auth.feign
 * @Project：Zg6-Week3
 * @name：UserFeignService
 * @Date：2024/8/6 9:38
 */
@FeignClient(name = Constants.BWIE_USER,
        path = Constants.SERVERNAME,
        fallbackFactory = UserFeignFactory.class)
public interface UserFeignService {

    @PostMapping("/findByName/{userName}")
    public Result<User> findByName(@PathVariable String userName);
}
