package com.bwie.auth.feign.factory;

import com.bwie.auth.feign.UserFeignService;
import com.bwie.common.domain.User;
import com.bwie.common.exception.Week3Exception;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @Author：张腾
 * @Package：com.bwie.auth.feign.factory
 * @Project：Zg6-Week3
 * @name：UserFeignFactory
 * @Date：2024/8/6 9:41
 */
public class UserFeignFactory implements FallbackFactory<UserFeignService> {
    @Override
    public UserFeignService create(Throwable cause) {
        return new UserFeignService() {
            @Override
            public Result<User> findByName(String userName) {
                throw new Week3Exception("网络异常,请重试");
            }
        };
    }
}
