package com.bwie.common.handler;

import com.bwie.common.exception.Week3Exception;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @Author：张腾
 * @Package：com.bwie.common.handler
 * @Project：Zg6-Week3
 * @name：Week3ExceptionHandler
 * @Date：2024/8/6 9:28
 */
@RestControllerAdvice
@Log4j2
public class Week3ExceptionHandler {


    @ExceptionHandler(Week3Exception.class)
    public void handler(Throwable throwable){
        StackTraceElement stackTraceElement = throwable.getStackTrace()[0];
        String className = stackTraceElement.getClassName();
        String fileName = stackTraceElement.getFileName();
        String methodName = stackTraceElement.getMethodName();
        int lineNumber = stackTraceElement.getLineNumber();
        log.error("在方法:"+methodName+"中发现异常,异常信息为:"+throwable.getMessage()+
                ",报错类名:"+className+",文件名:"+fileName+",报错行:"+lineNumber);
    }
}
