package com.bwie.firm.controller;

import com.bwie.common.domain.Last;
import com.bwie.common.domain.Task;
import com.bwie.common.domain.request.FirmReq;
import com.bwie.common.domain.response.FirmRes;
import com.bwie.common.result.Result;
import com.bwie.firm.service.BossService;
import com.bwie.firm.service.FirmService;
import com.bwie.firm.service.LastService;
import com.bwie.firm.service.TaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.firm.controller
 * @Project：Zg6-Week3
 * @name：FirmController
 * @Date：2024/8/6 10:50
 */
@RestController
@RequestMapping("/firm")
public class FirmController {

    @Autowired
    private FirmService firmService;

    @Autowired
    private BossService bossService;

    @Autowired
    private LastService lastService;

    @Autowired
    private TaskService taskService;

    @PostMapping("/selectList")
    public Result<List<FirmRes>> selectList(FirmReq firmReq){
        List<FirmRes> list = firmService.findList(firmReq);
        return Result.success(list);
    }

    @GetMapping("/findBoss")
    public Result<String> findBoss(){
        String boss = bossService.findBoss();
        return Result.success(boss);
    }

    @GetMapping("/showLast")
    public Result<List<Last>> showLast(){
        List<Last> lasts = lastService.lastList();
        return Result.success(lasts);
    }

    @PostMapping("/addTask")
    public Result addTask(@RequestBody Task task){
        taskService.addTask(task);
        return Result.success();
    }

    @GetMapping("/findTask")
    public Result<List<Task>> findTask(){
        List<Task> task = taskService.findTask();
        return Result.success(task);
    }

    @PostMapping("/updateTaskStatus")
    public Result updateTaskStatus(Integer taskId,Integer status){
        taskService.updateTaskStatus(taskId,status);
        return Result.success();
    }
}
