package com.bwie.firm.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.BossList;
import com.bwie.firm.mapper.BossMapper;
import com.bwie.firm.service.BossService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.firm.service.impl
 * @Project：Zg6-Week3
 * @name：BossServiceImpl
 * @Date：2024/8/6 11:20
 */
@Service
public class BossServiceImpl implements BossService {

    @Autowired
    private BossMapper bossMapper;

    @Autowired
    private StringRedisTemplate redisTemplate;

    @Override
    public String findBoss() {
        if (redisTemplate.hasKey("bossList")){
            return redisTemplate.opsForValue().get("bossList");
        }
        List<BossList> boss = bossMapper.findBoss();
        redisTemplate.opsForValue().set("bossList", JSON.toJSONString(boss));
        return redisTemplate.opsForValue().get("bossList");
    }
}
