package com.bwie.kafka.customer;

import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Component;

/**
 * @Author：张腾
 * @Package：com.bwie.kafka.customer
 * @Project：Zg6-Week3
 * @name：FailCustomer
 * @Date：2024/8/6 14:55
 */
@Component
@Log4j2
public class FailCustomer {

    @KafkaListener(topics = "fail",containerFactory = "kafkaListenerContainerFactory",errorHandler = "myKafkaListenerErrorHandler")
    public void successMsg(ConsumerRecord<Object,Object> record, Acknowledgment acknowledgment){
        Integer value = (Integer) record.value();
        log.info("编号为:"+value+"的用户很遗憾，你的简历不符合岗位要求，请再接再厉！");
        acknowledgment.acknowledge();
    }
}
