package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：张腾
 * @Package：com.bwie.user.controller
 * @Project：Zg6-Week3
 * @name：UserController
 * @Date：2024/8/6 9:36
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping("/findByName/{userName}")
    public Result<User> findByName(@PathVariable String userName){
        User byName = userService.findByName(userName);
        return Result.success(byName);
    }

}
